umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_floatingdashlinewidget.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/floatingdashlinewidget.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_FloatingDashLineWidget_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_FloatingDashLineWidget_t | qt_meta_stringdata_FloatingDashLineWidget
static const uint | qt_meta_data_FloatingDashLineWidget []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_FloatingDashLineWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_FloatingDashLineWidget

const uint qt_meta_data_FloatingDashLineWidget[]
| static

Initial value:
= {
8,
0,
0, 0,
0, 0,
0, 0,
0, 0,
0, 0,
0,
0,
0
}

## ◆ qt_meta_stringdata_FloatingDashLineWidget

const qt_meta_stringdata_FloatingDashLineWidget_t qt_meta_stringdata_FloatingDashLineWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 22)
},
"FloatingDashLineWidget"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_floatingdashlinewidget.cpp:28
qt_meta_stringdata_FloatingDashLineWidget_t
Definition: moc_floatingdashlinewidget.cpp:24